#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           sweeper
Summary:        KDE System Cleaner
Version: 24.07.90
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2 and LGPLv2
URL:            https://kde.org/applications/utilities/org.kde.sweeper
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)
BuildRequires:  cmake(Qt6Widgets)

BuildRequires:  cmake(KF6Bookmarks)
BuildRequires:  cmake(KF6Crash)
BuildRequires:  cmake(KF6Config)
BuildRequires:  cmake(KF6ConfigWidgets)
BuildRequires:  cmake(KF6CoreAddons)
BuildRequires:  cmake(KF6I18n)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6XmlGui)
BuildRequires:  cmake(KF6DocTools)

BuildRequires:  cmake(PlasmaActivitiesStats)

Recommends:     sweeper-handbook


%description
Sweeper helps to clean unwanted traces the user leaves on the system and to
regain disk space removing unused temporary files.

%files -f %name.lang
%_kf6_categoriesdir/sweeper.*categories
%_kf6_bindir/sweeper
%_kf6_applicationsdir/org.kde.sweeper.desktop
%_kf6_metainfodir/org.kde.sweeper.appdata.xml
%_kf6_datadir/dbus-1/interfaces/org.kde.sweeper.xml

#------------------------------------------------------------------------------

%package -n sweeper-handbook
Summary:        sweeper Handbook
Group:          Documentation
BuildArch:      noarch

%description -n sweeper-handbook
This package provides sweeper handbook.

%files -n sweeper-handbook
%docdir %_kf6_docdir/HTML/
%_kf6_docdir/HTML/*/sweeper/

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6
%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Sat Aug 10 2024 daviddavid <daviddavid> 24.07.90-1.mga10
+ Revision: 2085236
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 24.05.1-1.mga10
+ Revision: 2073356
- New version 24.05.1

* Wed Jun 05 2024 neoclust <neoclust> 24.05.0-1.mga10
+ Revision: 2070008
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 24.02.2-1.mga10
+ Revision: 2058749
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 24.02.0-1.mga10
+ Revision: 2045286
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 24.01.95-1.mga10
+ Revision: 2037785
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 24.01.90-1.mga10
+ Revision: 2033907
- New version 24.01.90

* Wed Jan 03 2024 neoclust <neoclust> 24.01.85-1.mga10
+ Revision: 2026531
- New version 24.01.85

* Sat Nov 18 2023 daviddavid <daviddavid> 24.01.75-1.mga10
+ Revision: 2007499
- New version 24.01.75
- switch to Qt6/KF6

* Sat Sep 23 2023 neoclust <neoclust> 23.08.1-1.mga10
+ Revision: 1989725
- New version 23.08.1

* Fri May 26 2023 neoclust <neoclust> 23.04.1-1.mga9
+ Revision: 1958301
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 22.12.3-1.mga9
+ Revision: 1946613
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 22.12.2-1.mga9
+ Revision: 1941906
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 22.12.0-1.mga9
+ Revision: 1923028
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 22.11.90-1.mga9
+ Revision: 1911522
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 22.08.3-1.mga9
+ Revision: 1905373
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 22.08.1-1.mga9
+ Revision: 1886894
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 22.08.0-1.mga9
+ Revision: 1880875
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 22.04.3-1.mga9
+ Revision: 1873188
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 22.04.0-1.mga9
+ Revision: 1854078
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 22.03.90-1.mga9
+ Revision: 1849585
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 21.12.0-2.mga9
+ Revision: 1846156
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 21.12.0-1.mga9
+ Revision: 1763970
- New version 21.12.0

* Tue Nov 30 2021 neoclust <neoclust> 21.11.90-1.mga9
+ Revision: 1760063
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 21.04.1-1.mga9
+ Revision: 1724181
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 21.04.0-1.mga9
+ Revision: 1718596
- New version 21.04.0

* Thu Mar 04 2021 neoclust <neoclust> 20.12.3-2.mga9
+ Revision: 1698670
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 20.12.2-1.mga9
+ Revision: 1694196
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 20.12.0-1.mga8
+ Revision: 1655719
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 20.08.3-1.mga8
+ Revision: 1644101
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 20.08.2-1.mga8
+ Revision: 1633920
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 20.08.1-1.mga8
+ Revision: 1627159
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 20.08.0-1.mga8
+ Revision: 1615030
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 20.04.3-1.mga8
+ Revision: 1604224
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 20.04.2-1.mga8
+ Revision: 1596961
- New version 20.04.2

* Sun May 17 2020 neoclust <neoclust> 20.04.1-1.mga8
+ Revision: 1584874
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 20.04.0-1.mga8
+ Revision: 1568238
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 19.12.3-1.mga8
+ Revision: 1559428
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 19.12.2-2.mga8
+ Revision: 1540077
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 19.12.2-1.mga8
+ Revision: 1513403
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 19.12.0-1.mga8
+ Revision: 1467061
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 19.08.3-1.mga8
+ Revision: 1458006
- New version 19.08.3

* Thu Sep 26 2019 neoclust <neoclust> 19.08.1-1.mga8
+ Revision: 1446513
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 19.04.3-1.mga8
+ Revision: 1425094
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 19.04.0-1.mga7
+ Revision: 1390549
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 19.03.90-1.mga7
+ Revision: 1387767
- New version 19.03.90

* Tue Apr 02 2019 umeabot <umeabot> 18.12.3-2.mga7
+ Revision: 1384922
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 18.12.3-1.mga7
+ Revision: 1375778
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 18.12.2-1.mga7
+ Revision: 1365672
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 18.12.1-1.mga7
+ Revision: 1356609
- New version 18.12.1

* Wed Dec 19 2018 neoclust <neoclust> 18.12.0-2.mga7
+ Revision: 1342998
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 18.08.3-1.mga7
+ Revision: 1332844
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 18.08.2-1.mga7
+ Revision: 1327497
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 18.04.1-2.mga7
+ Revision: 1301259
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 18.04.1-1.mga7
+ Revision: 1229163
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 17.12.2-1.mga7
+ Revision: 1201994
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 17.12.1-2.mga7
+ Revision: 1195255
- Add conflict to ease upgrade
- New version 17.12.1

* Sun Dec 31 2017 neoclust <neoclust> 17.12.0-1.mga7
+ Revision: 1188364
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 17.08.0-1.mga7
+ Revision: 1143153
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 17.07.90-1.mga7
+ Revision: 1136956
- New version 17.07.90

* Sun Jul 16 2017 neoclust <neoclust> 17.04.3-1.mga7
+ Revision: 1123848
- New version 17.04.3

* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090180
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076922
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072112
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067429
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061493
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050756
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047409
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040159
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012649
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004437
- New version 16.04.0

* Thu Mar 24 2016 neoclust <neoclust> 16.03.80-1.mga6
+ Revision: 995015
- New version 16.03.80

* Wed Mar 16 2016 neoclust <neoclust> 15.12.3-1.mga6
+ Revision: 991272
- New version 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987552
- New version 15.12.2

* Wed Jan 13 2016 neoclust <neoclust> 15.12.1-1.mga6
+ Revision: 922714
- New version 15.12.1

* Sat Dec 19 2015 neoclust <neoclust> 15.12.0-1.mga6
+ Revision: 912059
- New version 15.12.0

* Mon Nov 23 2015 neoclust <neoclust> 15.11.80-1.mga6
+ Revision: 905529
- New version 15.11.80

* Tue Nov 10 2015 neoclust <neoclust> 15.08.3-1.mga6
+ Revision: 901081
- New version 15.08.3
- New version 15.08.2

* Fri Sep 18 2015 neoclust <neoclust> 15.08.1-1.mga6
+ Revision: 880936
- New version 15.08.1

* Thu Aug 20 2015 neoclust <neoclust> 15.08.0-1.mga6
+ Revision: 866379
- New version 15.08.0

* Thu Jul 30 2015 lmenut <lmenut> 15.07.80-1.mga6
+ Revision: 859204
- Update to KDE Applications 15.08 Beta

* Wed Dec 03 2014 lmenut <lmenut> 4.14.3-1.mga5
+ Revision: 800696
- Update to KDE SC 4.14.3

* Sat Oct 18 2014 lmenut <lmenut> 4.14.2-1.mga5
+ Revision: 787794
- Update to KDE SC 4.14.2

* Wed Oct 15 2014 umeabot <umeabot> 4.14.1-2.mga5
+ Revision: 749125
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 lmenut <lmenut> 4.14.1-1.mga5
+ Revision: 734648
- Update to KDE SC 4.14.1

* Tue Sep 16 2014 umeabot <umeabot> 4.14.0-2.mga5
+ Revision: 689636
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Mon Aug 25 2014 lmenut <lmenut> 4.14.0-1.mga5
+ Revision: 667582
- Update to KDE SC 4.14.0
- Use official URL http://download.kde.org for Source

* Fri Aug 15 2014 lmenut <lmenut> 4.13.97-1.mga5
+ Revision: 663094
- Update to KDE SC 4.13.97 aka KDE SC 4.14 RC

* Sat Jul 26 2014 lmenut <lmenut> 4.13.95-1.mga5
+ Revision: 656772
- Update to KDE SC 4.13.95 aka KDE SC 4.14 Beta3

* Sat Jul 19 2014 lmenut <lmenut> 4.13.90-1.mga5
+ Revision: 653957
- Update to KDE SC 4.13.90 aka KDE SC 4.14 Beta2

* Mon Jul 14 2014 lmenut <lmenut> 4.13.80-1.mga5
+ Revision: 652068
- Update to KDE SC 4.13.80 aka KDE SC 4.14 Beta1

* Sun Jun 15 2014 lmenut <lmenut> 4.13.2-1.mga5
+ Revision: 636831
- Update to KDE SC 4.13.2

* Sat May 24 2014 lmenut <lmenut> 4.13.1-1.mga5
+ Revision: 625598
- Update to KDE SC 4.13.1

* Thu Apr 17 2014 lmenut <lmenut> 4.13.0-1.mga5
+ Revision: 615679
- Update to KDE SC 4.13.0

* Sat Mar 29 2014 lmenut <lmenut> 4.12.97-1.mga5
+ Revision: 609491
- Update to KDE SC 4.12.97 aka KDE SC 4.13 RC

* Sun Mar 23 2014 lmenut <lmenut> 4.12.95-1.mga5
+ Revision: 606932
- Update to KDE SC 4.12.95 aka KDE SC 4.13 Beta3

* Fri Mar 14 2014 neoclust <neoclust> 4.12.90-1.mga5
+ Revision: 603438
- New version 4.12.80

* Fri Mar 07 2014 neoclust <neoclust> 4.12.80-1.mga5
+ Revision: 600767
- New version 4.12.80
- New version 4.12.3
- New version 4.12.3

* Thu Feb 13 2014 neoclust <neoclust> 4.12.2-1.mga5
+ Revision: 590558
- New version 4.12.2

* Tue Feb 04 2014 neoclust <neoclust> 4.11.5-1.mga5
+ Revision: 580885
- Update tarball to KDE SC 4.11.5

* Wed Dec 04 2013 lmenut <lmenut> 4.11.4-1.mga4
+ Revision: 555090
- Update tarball to KDE SC 4.11.4

* Thu Nov 14 2013 lmenut <lmenut> 4.11.3-1.mga4
+ Revision: 551361
- Update tarball to KDE SC 4.11.3

* Mon Oct 21 2013 umeabot <umeabot> 4.11.2-2.mga4
+ Revision: 540329
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 mikala <mikala> 4.11.2-1.mga4
+ Revision: 490800
- Update tarball to KDE SC 4.11.2

* Mon Sep 09 2013 mikala <mikala> 4.11.1-1.mga4
+ Revision: 476887
- Update tarball to KDE SC 4.11.1

* Sat Aug 10 2013 mikala <mikala> 4.11.0-1.mga4
+ Revision: 465230
- Update tarball to KDE SC 4.11.0

* Sat Jul 27 2013 lmenut <lmenut> 4.10.97-1.mga4
+ Revision: 459008
- Update tarball to KDE SC 4.10.97 aka KDE SC 4.11 RC2

* Wed Jul 17 2013 lmenut <lmenut> 4.10.95-1.mga4
+ Revision: 455393
- Update tarball to KDE SC 4.10.95 aka KDE SC 4.11 RC1

* Fri Jun 28 2013 mikala <mikala> 4.10.90-1.mga4
+ Revision: 448001
- Update tarball to KDE SC 4.10.90 aka KDE SC 4.11 Beta 2
- Update tarball to KDE SC 4.10.80 aka KDE SC 4.11 Beta 1

* Sun Jun 02 2013 mikala <mikala> 4.10.4-1.mga4
+ Revision: 435370
- Update tarball to KDE SC 4.10.4

* Mon May 27 2013 mikala <mikala> 4.10.3-1.mga4
+ Revision: 428477
- Update tarball to KDE SC 4.10.3

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407291
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401963
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394454
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Mon Jan 14 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 383838
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339565
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334616
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326817
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320336
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316211
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301988
- Update tarball to KDE SC 4.9.2
- Fix group

* Sat Sep 08 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 289792
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277029
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269732
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266299
- New version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257276
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228484
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221517
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198389
- Updating tarball to KDE 4.8.0

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191110
- Update tarball to KDE 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186438
- Update tarball to KDE 4.7.95
- fix group

* Thu Dec 15 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 182196
- imported package sweeper

